void printi(int val);

int main()
{
  enum {
    TEST_ENUM_0 = +10,
    TEST_ENUM_1,
    TEST_ENUM_2 = -10,
    TEST_ENUM_3,
    TEST_ENUM_4 = 10 + 20,
    TEST_ENUM_5,
    TEST_ENUM_6 = 'a',
    TEST_ENUM_7
  } e;

  e = TEST_ENUM_0; printi(e);
  e = TEST_ENUM_1; printi(e);
  e = TEST_ENUM_2; printi(e);
  e = TEST_ENUM_3; printi(e);
  e = TEST_ENUM_4; printi(e);
  e = TEST_ENUM_5; printi(e);
  e = TEST_ENUM_6; printi(e);
  e = TEST_ENUM_7; printi(e);

  return 0;
}
